=== debian/changelog ===
mercury (0.8.1.rotd19991025-2) unstable; urgency=low

  * Modify path for bootstrapping from a local installation directory

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 27 Oct 1999 07:14:16 -0500

mercury (0.8.1.rotd19991025-1) unstable; urgency=low

  * New upstream version.
  * Now works with egcs 2.95.2  (Fixes #43028, #42016)
  * Can unpack source now using dpkg-source (Fixes #42934, #31268, #39239)
    Although dpkg-source is still broken.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon, 25 Oct 1999 16:58:27 +1000

mercury (0.8.1.rotd19990809-1) unstable; urgency=low

  * New upstream version.
  * Update to release of the day version as earlier versions do not
    compile with egcs.
  * Compile against potato (Fixes #39239 and #42016)

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon,  9 Aug 1999 22:13:48 +0200

mercury (0.8.1-1) unstable; urgency=low

  * New upstream version.
  * Fix handling of egcs.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon,  1 Feb 1999 22:39:53 +1100

mercury (0.8-3) unstable; urgency=low

  * Fix PATH so that programs in /usr/local are not found during
    configuration. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 27 Dec 1998 02:13:18 +1100

mercury (0.8-2) unstable; urgency=low

  * Fixed configuration to handle assemblers that don't do
    full preprocessing.
  * Added patch required for compiling with egcs-1.1.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 23 Dec 1998 04:20:46 -0600

mercury (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 18 Nov 1998 18:21:46 +1100

mercury (0.7.3-3) frozen unstable; urgency=low

  * Put into frozen distribution.
  * Remove some bash-isms from security fix.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 31 Mar 1998 14:06:14 +1000

mercury (0.7.3-2) unstable; urgency=low

  * Fix security problems with files in /tmp (Fixes #19801).

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 22 Mar 1998 00:07:29 +1100

mercury (0.7.3-1) unstable; urgency=low

  * New upstream version.
  * Remove outdated information in `README.debian' with regard to the
    name of compiler.
  * Update the copyright information.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Fri, 14 Nov 1997 22:21:50 +1000

mercury (0.7-1) unstable; urgency=low

  * Changed maintainer from Milan Zamazal <pdm@fi.muni.cz> to 
    Tyson Dowd <trd@cs.mu.oz.au>.
  * New upstream version.
  * Fixed installation of shared libraries so that hardcoded
    paths for -rpath are set correctly, and so shared libraries
    work.
  * Installed new manpages for Mercury, and some extra README
    files (README.Linux has useful information for Linux users).

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 7 Sep 1997 15:10:06 +1000

mercury (0.6.2-2) unstable; urgency=low

  * Compiled with libc6.
  * Corrected ftp path in the `copyright' file.
  * Info on source compiling in `README.debian'.
  * More descriptive short description string.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 30 Jun 1997 10:26:02 +0200

mercury (0.6.2-1) unstable; urgency=low

  * Initial Release.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 4 Mar 1997 16:01:10 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "pdm@fi.muni.cz"
End:
