=== debian/changelog ===
mercury (0.11.0.rotd.20040511-5ubuntu1) feisty; urgency=low

  * Fix build failure with gcc-4.x. Debian #297217.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Apr 2007 20:07:52 +0200

mercury (0.11.0.rotd.20040511-5build1) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:23:35 +0000

mercury (0.11.0.rotd.20040511-5) unstable; urgency=low

  * Added sparc to the list of architectures that can use asm_fast grades.
  * Fix configure.in for s390 (previous upload only fixed it for s390x).
  * Removed hlc.par.gc from the list of grades built on all architectures.
  * Don't build asm_fast.gc.prof.tr on powerpc. 

 -- Peter Hawkins <peterh@debian.org>  Sat, 17 Jul 2004 11:44:55 +1000

mercury (0.11.0.rotd.20040511-4) unstable; urgency=low

  * Added build dependency on autotools-dev and added code to update
    config.sub and config.guess to debian/rules.
  * Changed maintainer field in debian/control to peterh@debian.org.

 -- Peter Hawkins <peterh@debian.org>  Thu, 15 Jul 2004 22:30:30 +1000

mercury (0.11.0.rotd.20040511-3) unstable; urgency=low

  * Removed subshell invocations from debian/rules so bad builds are caught
    early.
  * Changed compiler grade to be hlc.gc since it is more portable (although
    possibly slower than the LLDS grades on architectures like i386). 
    Since the source package shipped by upstream has precompiled C
    files for LLDS grades, we build our own source packages with 
    precompiled hlc.gc C files.
  * Non-local gotos don't appear to work on hppa or ia64, so build reg grades
    instead of asm_fast grades on those architectures. For unknown
    architectures (eg. arm, s390) we don't have global register support,
    so build none grades.

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Thu, 15 Jul 2004 17:05:11 +1000

mercury (0.11.0.rotd.20040511-2) unstable; urgency=low

  * debian/control, debian/rules: Remove dependency on gcc-3.2 since gcc-3.3
    works for versions 1:3.3.4-3 and above. (closes: #258660)

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Sun, 11 Jul 2004 13:04:30 +1000

mercury (0.11.0.rotd.20040511-1) unstable; urgency=low

  * Updated to upstream unstable ROTD 2004-05-11.
  * Added asm_fast.gc.prof.tr to the list of grades that are compiled.
  * Initial upload to unstable. 

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Thu,  1 Jul 2004 19:28:00 +1000

mercury (0.11.0.rotd.20040327-1) unstable; urgency=low

  * Initial Release.

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Mon,  5 Apr 2004 19:51:58 +1000
