=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mercury
 Section: devel
 Priority: optional
-Maintainer: Peter Hawkins <peterh@debian.org>
+Maintainer: Ubuntu MOTU developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Hawkins <peterh@debian.org>
 Build-Depends: debhelper (>= 4.0.0), autotools-dev
 Standards-Version: 3.6.1
