## mercury 22.01.8

=== debian/changelog ===
mercury (22.01.8-1~bullseye) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Paul Bone <paul@bone.id.au>  Wed, 17 Jul 2024 16:39:22 +1000

mercury (22.01.8-1) sid; urgency=medium

  * Update upstream version

 -- Paul Bone <paul@bone.id.au>  Tue, 16 Jul 2024 00:10:52 +1000

mercury (22.01-1) mercury-sid; urgency=medium

  * Update upstream version
  * Remove a bad .orig file from debian/
  * Remove build dependency on texi2html (Bug #7)
  * Remove build dependency on makeinfo
  * Add build dependency on info
  * Build PDF and PostScript documentation
 
 -- Paul Bone <paul@bone.id.au>  Wed, 20 Apr 2022 10:18:11 +1000

mercury (20.01.1-1) mercury-buster; urgency=medium

  * New upstream version
  * Modify the way grades are configured
  * Upgrade to debian compat level 10
  * Fix how version number is set & compiled in
  * Add missing texlive build dependency
  * Parallelise build
  * Bugfix: mercury-hlctrail-dev package the correct files
  * Seperate the remove-paths patch from the version patch
  * Fix package priority
  * Fix some syntax in the copyright file
  * Fix spelling in README.Debian
  * Don't build dbgsym packages
  * Properly clean .cvsignore files

 -- Paul Bone <paul@bone.id.au>  Wed, 14 Nov 2018 22:46:00 +1100

mercury (14.01.1-2) mercury-sid; urgency=low

  * Build for sid.

 -- Paul Bone <paul@bone.id.au>  Mon, 27 Mar 2017 23:28:54 +1100

mercury (14.01.1-1) mercury-jessie; urgency=low

  * Initial release.

 -- Paul Bone <paul@bone.id.au>  Sun, 12 Mar 2017 15:15:47 +1100
