=== debian/control ===
Source: mercury
Section: devel
Priority: optional
Maintainer: Paul Bone <paul@bone.id.au>
Build-Depends: debhelper (>=10), autoconf, automake, flex, bison,
  libreadline-dev, texinfo, texlive, info, libhwloc-dev, pkg-config
Standards-Version: 3.9.7
Homepage: http://mercurylang.org

Package: mercury-tools
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, gcc
Recommends: mercury-gc-dev,
  mercury-hlc-dev | mercury-hlcpar-dev | mercury-hlctrail-dev |
  mercury-llc-dev | mercury-llcpar-dev | mercury-llctrail-dev
Suggests: mercury-docs, mercury-examples, mercury-devel
Conflicts: mercury-tools
Description: Mercury programming language tools
 ${about-mercury}
 .
 This package contains the compiler, debugging and profiling tools.

Package: mercury-recommended
Architecture: any
Depends: ${misc:Depends}, mercury-tools,
  mercury-hlc-dev, mercury-hlcpar-dev,
  mercury-llc-dev, mercury-llcpar-dev,
  mercury-devel, mercury-docs
Description: Mercury programming language tools
 ${about-mercury}
 .
 This meta-package depends on packages for a reasonable Mercury development
 environment.

Package: mercury-gc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: mercury-gc
Description: Mercury programming language garbage collector
 ${about-mercury}
 .
 This package contains the Mercury fork of the Boehm-Demers-Weiser garbage
 collector required to run Mercury programs.

Package: mercury-gc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc (= ${binary:Version})
Recommends: mercury-tools
Conflicts: mercury-gc-dev
Description: Mercury programming language garbage collector
 ${about-mercury}
 .
 This package contains the header files and static libraries for the Mercury
 fork of the Boehm-Demers-Weiser garbage collector required to run Mercury
 programs.  It also contains a number of grade-agnostic development files.

Package: mercury-hlc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlc
Description: Mercury programming language runtime (hlc.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.gc grade.

Package: mercury-hlc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-hlc (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlc-dev
Description: Mercury programming language development files (hlc.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.gc grade.

Package: mercury-hlcpar
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlcpar
Description: Mercury programming language runtime (hlc.par.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.par.gc grade.

Package: mercury-hlcpar-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, libhwloc-dev, 
  mercury-gc-dev (= ${binary:Version}), mercury-hlcpar (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlcpar-dev
Description: Mercury programming language development files (hlc.par.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.par.gc grade.

Package: mercury-hlctrail
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlctrail
Description: Mercury programming language runtime (hlc.gc.tr)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.gc.tr grade.

Package: mercury-hlctrail-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-hlctrail (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlctrail-dev
Description: Mercury programming language development files (hlc.gc.tr)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.gc.tr grade.

Package: mercury-llc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llc
Description: Mercury programming language runtime (asm_fast.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.gc grade.

Package: mercury-llc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-llc (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llc-dev
Description: Mercury programming language development files (asm_fast.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.gc grade.

Package: mercury-llcpar
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llcpar
Description: Mercury programming language runtime (asm_fast.par.gc.stseg)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.par.gc.stseg grade.

Package: mercury-llcpar-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, libhwloc-dev,
  mercury-gc-dev (= ${binary:Version}), mercury-llcpar (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llcpar-dev
Description: Mercury programming language dev files (asm_fast.par.gc.stseg)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.par.gc.stseg grade.

Package: mercury-llctrail
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llctrail
Description: Mercury programming language runtime (asm_fast.gc.tr)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.gc.tr grade.

Package: mercury-llctrail-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-llctrail (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llctrail-dev
Description: Mercury programming language development files (asm_fast.gc.tr)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.gc.tr grade.

Package: mercury-devel
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version}),
  mercury-gc-dev (= ${binary:Version}), libreadline-dev
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-devel
Description: Mercury programming language debugging and profiling grades
 ${about-mercury}
 .
 This package contains header files and libraries (shared and dynamic) for
 Mercury programs using the: asm_fast.gc.decldebug.stseg,
 asm_fast.gc.profdeep.stseg, asm_fast.gc.memprof.stseg and
 asm_fast.gc.prof.stseg grades.

Package: mercury-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: mercury-docs
Description: Mercury programming language documentation
 ${about-mercury}
 .
 This package contains the documentation.

Package: mercury-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: mercury-examples
Description: Mercury programming language examples and extras
 ${about-mercury}
 .
 This package contains the samples, extras and some benchmarks.  It will
 install their source code in /usr/share/doc/mercury/, it will not attempt to
 build or install these programs and libraries..

Package: mercury-maintainers
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, make, mercury-tools (= ${binary:Version})
Conflicts: mercury-maintainers, mmake
Description: Mercury programming language maintainers' tools 
 ${about-mercury}
 .
 This package contains tools that are either experimental and rarely used
 (compiler feedback tools), deprecated (mmake) or only of interest to people
 building the Mercury sources themselves (canonical_grade).
